For the complete documentation index, see llms.txt. This page is also available as Markdown.

Requesting Hazard Types

To request the list of hazard types configured in the system please use the route defined here:

List all hazard types

get

Returns the full set of hazard type reference values (e.g. EARTHQUAKE, FLOOD).

Authorizations
AuthorizationstringRequired

JWT access token obtained from POST /authorize. Tokens expire after 15 minutes.

Responses
200

Array of hazard types.

application/json
type_idstringOptional

Unique type identifier.

Example: EARTHQUAKE
type_namestringOptional

Human-readable type name.

Example: Earthquake
type_iconstringOptional

Icon filename for UI rendering.

Example: earthquake.png
get/hazards/types
GET /hazards/types HTTP/1.1
Host: api-v2.disasteraware.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "type_id": "EARTHQUAKE",
    "type_name": "Earthquake",
    "type_icon": "earthquake.png"
  }
]

See Authorizing Requests page to get your accessToken.

This request will return an array that contains all of the hazard types. Each element in the array will have three properties:

Properties
Definitions

type_id

This is like the primary key for the hazard type. This is the value that will be found on the hazard object.

type_name

A human readable value for the hazard e.g. Volcano.

type_icon

This is the url for the hazard type icon's image e.g. avalanche.png. The hazard icons are hosted at: https://static.pdc.org/icons/hazard/large/. To construct the fully qualified location for the hazard type's icon combine the host location with type_icon value.

Last updated